aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/distrib/pylint_code.sh
diff options
context:
space:
mode:
authorGravatar Mehrdad Afshari <mmx@google.com>2017-06-01 11:23:21 -0700
committerGravatar Mehrdad Afshari <mmx@google.com>2017-06-01 14:26:12 -0700
commit5bc11d55d44a58e0139b62a3110bdf43ef7e4f95 (patch)
tree18616b7ca94c9ce51f74c82b6f7a119058cbe619 /tools/distrib/pylint_code.sh
parentec21e99322ec29f58c853d409adaf5aa2e4929ab (diff)
Expand pylint to grpc_health and grpc_reflection
Diffstat (limited to 'tools/distrib/pylint_code.sh')
-rwxr-xr-xtools/distrib/pylint_code.sh14
1 files changed, 9 insertions, 5 deletions
diff --git a/tools/distrib/pylint_code.sh b/tools/distrib/pylint_code.sh
index 6369e605d5..b1e305c56d 100755
--- a/tools/distrib/pylint_code.sh
+++ b/tools/distrib/pylint_code.sh
@@ -31,18 +31,22 @@
set -ex
# change to root directory
-cd $(dirname $0)/../..
+cd "$(dirname "$0")/../.."
-DIRS=src/python/grpcio/grpc
+DIRS=(
+ 'src/python/grpcio/grpc'
+ 'src/python/grpcio_reflection/grpc_reflection'
+ 'src/python/grpcio_health_checking/grpc_health'
+)
VIRTUALENV=python_pylint_venv
virtualenv $VIRTUALENV
-PYTHON=`realpath $VIRTUALENV/bin/python`
+PYTHON=$(realpath $VIRTUALENV/bin/python)
$PYTHON -m pip install pylint==1.6.5
-for dir in $DIRS; do
- $PYTHON -m pylint --rcfile=.pylintrc -rn $dir || exit $?
+for dir in "${DIRS[@]}"; do
+ $PYTHON -m pylint --rcfile=.pylintrc -rn "$dir" || exit $?
done
exit 0